[Unit]
Description={{ container.name }} container
{% for line in container.unit_extra | d([]) %}
{{ line }}
{% endfor %}

[Container]
Label=io.containers.autoupdate=registry
Image={{ container.image }}
{% for volume in container.volumes | d([]) %}
Volume={{ volume }}
{% endfor %}
{% for port in container.ports | d([]) %}
PublishPort={{ port }}
{% endfor %}
{% if container.user is defined %}
User={{ container.user }}
{% endif %}
{% if container.group is defined %}
Group={{ container.group }}
{% endif %}
{% if container.env is defined %}
{% for key, value in container.env.items() %}
Environment={{ key }}={{ value }}
{% endfor %}
{% endif %}
Timezone={{ container.timezone | d("local") }}
{% for cap in container.cap_add | d([]) %}
AddCapability={{ cap }}
{% endfor %}
PodmanArgs={{ container.extra_args | d("") }}

[Service]
{% for line in container.service_extra | d([]) %}
{{ line }}
{% if line.startswith('Restart=') %}
{% set restart_line = True %}
{% endif %}
{% endfor %}
{% if restart_line is not defined %}
Restart=always
{% endif %}

[Install]
WantedBy=multi-user.target
{% for line in container.install_extra | d([]) %}
{{ line }}
{% endfor %}
